Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494460 (CVE-2017-14501) - CVE-2017-14501 libarchive: Out-of-bounds read in parse_file_info
Summary: CVE-2017-14501 libarchive: Out-of-bounds read in parse_file_info
Keywords:
Status: NEW
Alias: CVE-2017-14501
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1449531 1698492
Blocks: 1856624
TreeView+ depends on / blocked
 
Reported: 2017-09-22 10:06 UTC by Andrej Nemec
Modified: 2020-07-14 04:40 UTC (History)
9 users (show)

Fixed In Version: libarchive 3.3.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-22 10:06:27 UTC
An out-of-bounds read flaw exists in parse_file_info in archive_read_support_format_iso9660.c in libarchive 3.3.2 when extracting a specially crafted iso9660 iso file, related to archive_read_format_iso9660_read_header.

Upstream issue:

https://github.com/libarchive/libarchive/issues/949

Comment 1 Andrej Nemec 2017-09-22 10:10:45 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1449531]

Comment 2 Pavel Raiskup 2018-09-06 05:34:56 UTC
Got a fix https://github.com/libarchive/libarchive/pull/1042, fixed in 3.3.3.


Note You need to log in before you can comment on or make changes to this bug.